# DSS simulation
# Written by Zhao Cheng, Itasca Consulting Group, Inc.

import itasca as it
it.command("python-reset-state false")
import numpy as np

inidict =  {500 : [0.960, 0.886, 0.810], 
            100 : [0.996, 0.917, 0.831]}
            
for pm0, e0list in inidict.items() :            
    for e0 in e0list : 
        outfile = 'tri_cp_' + 'p_' + '{:3.0f}'.format(pm0) + '_e_' + '{:3.0f}'.format(e0*1000.0) 
        print('p0 =', '{:5.0f}'.format(pm0), 'e =', '{:5.3f}'.format(e0))
        it.command("model new")
        it.fish.set('e0', e0)
        it.fish.set('pm0', pm0)
        it.fish.set('savefile', outfile + '.sav')
        it.fish.set('txtfile',  outfile + '.txt')
        it.command("call 'tri_drained_toyoura.dat' ")
        
it.command("model new")        